This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 648350 - Proper Bold for Lohit Devanagari
Proper Bold for Lohit Devanagari
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts (Show other bugs)
21
All All
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
: 963648 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 00:39 EDT by Ujjwol
Modified: 2015-11-25 02:52 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 02:52:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Picture showing the bold and regular typeface (36.46 KB, image/png)
2010-11-01 00:39 EDT, Ujjwol
no flags Details
Image showing improved rendering (14.83 KB, image/png)
2015-11-25 02:51 EST, Pravin Satpute
no flags Details

  None (edit)
Description Ujjwol 2010-11-01 00:39:03 EDT
Created attachment 456789 [details]
Picture showing the bold and regular typeface

Description of problem:
The existing font provided Lohit Devangari only contains the regular version. It does not contain the bold version. When the computer generates bold using the regular font, and the results are ugly. The siro-rekha is broken and many other stuffs are also broken.

Version-Release number of selected component (if applicable):


How reproducible:
Exactly reproducible

Steps to Reproduce:
1.See any hindi/nepali/marathi/sanskrit pages in firefox with bold text
2. type devanagari text in openoffice and bold it

  
Actual results:
The a broken lohit devanagari font is displayed.

Expected results:
A well maintained bold should be shown.

Additional info:
The typographic value is lost when bold is used though it is still readable.
Comment 1 Ujjwol 2010-11-01 00:46:26 EDT
The same applies to Samyak Devanagari as well.
Comment 2 A S Alam 2010-11-01 02:02:28 EDT
lohit-devanagari-fonts-2.4.3-7.fc15.noarch.rpm
Comment 3 Pravin Satpute 2010-11-01 04:06:39 EDT
hmm, this looks like major problem
i will fix this one.

thanks for reporting this
Comment 4 Ujjwol 2010-11-01 05:03:30 EDT
You are welcome.
Comment 5 redhat 2011-12-14 04:40:17 EST
If possible can I know about the progress with this issue?
Comment 6 Pravin Satpute 2011-12-14 12:32:52 EST
Not yet much progress on this, i tried few quick solution by changing shapes inside fonts but not worked well.

So now options are:
1) Try some other tweaking in Lohit.
2) Design Lohit Devanagari Bold

Instead of dependency of auto bold algorithm, in long term it will be good to have Lohit Bold so such problems will not occur.

Same is followed in other fonts i.e. Liberations, Dejavu as well.
Comment 7 Pravin Satpute 2012-02-25 09:07:32 EST
Yesterday while checking this i found auto bold works fine for Lohit in Windows.

While discussion on freetype devel list looks like this is problem from freetype autobold side. 

moving to freetype
Comment 8 Fedora End Of Life 2013-04-03 14:50:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 11:24:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Pravin Satpute 2015-01-14 04:46:03 EST
*** Bug 963648 has been marked as a duplicate of this bug. ***
Comment 11 Pravin Satpute 2015-01-14 04:53:37 EST
While observing i found that whenever we apply some matra (reph, e-matra) it issue happens. It means we might need some fixes from font size.

Moving to Lohit.
Comment 12 Fedora End Of Life 2015-11-04 07:42:39 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Pravin Satpute 2015-11-25 02:51 EST
Created attachment 1098594 [details]
Image showing improved rendering

- Recently we have done Lohit 2 development. Lohit now has Latin shapes and we also using ttfautohint.
- Sametime here has been improvement in Freetype as well from autoemboling.

These improvements has fixed the issue.
lohit-devanagari-fonts-2.95.2-1.fc23.noarch
freetype-2.6.0-3.fc23.x86_64
libreoffice-writer-5.0.3.1-1.fc23.x86_64
Comment 14 Pravin Satpute 2015-11-25 02:52:39 EST
Closing. Feel free to reopen if any issue.
Ideally we should have Bold and other weights for Lohit but we dont have resource for preparing Bold for Lohit.

Note You need to log in before you can comment on or make changes to this bug.